%define srcname stevedore

Name:           python-%{srcname}
Version:        1.8.0
Release:        %mkrel 2
Summary:        Manage dynamic plugins for Python applications

Group:          Development/Python
License:        MIT
URL:            https://github.com/dreamhost/stevedore
Source0:        http://pypi.python.org/packages/source/s/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)

%description
Manage dynamic plugins for Python applications.

%package -n python3-%{srcname}
Summary:        Manage dynamic plugins for Python 3 applications
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{srcname}
Manage dynamic plugins for Python 3 applications.

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
%py2_install

pushd %{py3dir} 
%py3_install
popd


%files
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python2_sitelib}/%{srcname}/
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%doc AUTHORS ChangeLog CONTRIBUTING.rst README.rst
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 1.8.0-2.mga6
+ Revision: 970950
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 1.8.0-1.mga6
+ Revision: 888812
- new version: 1.8.0 + rebuild for python 3.5
- use new python macros
- add doc files

* Sun Aug 30 2015 fwang <fwang> 1.7.0-1.mga6
+ Revision: 871286
- 1.7.0

* Wed Jan 21 2015 bcornec <bcornec> 1.2.0-1.mga5
+ Revision: 811697
- Update to upstream 1.2.0
-Update to upstream 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.12-6.mga5
+ Revision: 750457
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.12-5.mga5
+ Revision: 729838
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.12-4.mga5
+ Revision: 688354
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.12-3.mga5
+ Revision: 629033
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.12-2.mga4
+ Revision: 545021
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 philippem <philippem> 0.12-1.mga4
+ Revision: 500649
- Update to 0.12, add Python 3

* Tue Oct 15 2013 pterjan <pterjan> 0.10-2.mga4
+ Revision: 499462
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 30 2013 neoclust <neoclust> 0.10-1.mga4
+ Revision: 460848
- imported package python-stevedore

